
    
    document.addEventListener("DOMContentLoaded", function (event) {  
    window.onbeforeunload = function () {
        window.scrollTo(0, 0);
    } 
    var enc = decodeURIComponent(location.href);
    if (enc && enc.split('?')[1]) {
        shortKey = enc.split('?')[1];
        document.getElementById('error').style.display = 'none';
    }
    else {
        //console.log('das', enc.split('?')[1]);
        document.getElementById('feed').style.display = 'none';
        document.getElementById('error').style.display = 'block';
        document.getElementById('container').innerHTML = '<div class="container-error"><div>' + 'Service Unavailable' + '</div></div>';
    }

    var submit = document.getElementById("submitFeed");

    submit.onclick = function () {
            var rate = getSelectedValue("rate");
            var pick_exe = getSelectedValue("pick_exe");
            var bus_qty = getSelectedValue("bus_qty");
            var staff_bhe = getSelectedValue("staff_bhe");
            var amenities = getSelectedValue("amenities");
            var drop_exe = getSelectedValue("drop_exe");
            var recommand = getSelectedValue("recommand");
            if (rate && rate != '' && pick_exe && pick_exe != '' && bus_qty && bus_qty != '' && staff_bhe && staff_bhe != '' && drop_exe && drop_exe != ''
                && amenities && amenities != '' && recommand && recommand != '') {
                
                submitFeed([{
                    type: 2,
                    rating: rate,
                    feature_request: document.getElementById('featureRequest').value,
                    feedback: document.getElementById('feedback').value
                },{
                    type: 1,
                    pickup_exp: pick_exe,
                    bus_quality: bus_qty,
                    staff_behavior: staff_bhe,
                    amenities: amenities,
                    recommend: recommand,
                    drop_exp: drop_exe,
                    feedback: document.getElementById('suggestion').value
                }]);
                 
            } else {
                showToast('Please Enter the details');
            }
    }

});


    function clearSelectedValue(name) {
    var vals = document.getElementsByName(name);
    for (var val in vals) {
        vals[val].checked = false;
    }
}
function getSelectedValue(name) {
    var vals = document.getElementsByName(name);
    for (var val in vals) {
        if (vals[val].checked) return vals[val].value;
    }
    return '';
}

function submitFeed(params) {
    try {
        document.getElementById('loader').classList.add('loading');
        URL = 'http://bus.trackingo.in/api/live/tracking_feedback?key=' + shortKey;  //Your URL
        var xhr = new XMLHttpRequest();
        xhr.open("POST", URL, true);
        xhr.setRequestHeader("Content-type", "application/json");
        xhr.onload = function (e) {

            if (xhr.readyState === 4) {
                document.getElementById('loader').classList.remove('loading');
                if (xhr.status === 200) {

                    var jsonRes = JSON.parse(xhr.responseText);
                    console.log(jsonRes);
                    if (jsonRes.status == 200) {
                        showToast(jsonRes.message);
                        document.getElementById('feed').style.display = 'none';
        document.getElementById('error').style.display = 'block';
        document.getElementById('container').innerHTML = '<div class="container-error"><div>' + jsonRes.message + '</div></div>';
                    } else {
                        showToast(jsonRes.message);
                    }

                } else {
                    showToast('something went wrong, please try again');
                }
            }

        };
        xhr.onerror = function (e) {
            console.error(e.statusText);
            document.getElementById('loader').classList.remove('loading');
            showToast('something went wrong, please try again');
        };
        xhr.send(JSON.stringify(params));
    } catch (e) {
        console.log('crash');
        showToast('something went wrong, please try again');
        document.getElementById('loader').classList.remove('loading');
    }
}
function showToast(message) {
    // Get the snackbar DIV
    var toast = document.getElementById("snackbar")
    toast.innerText = message;
    // Add the "show" class to DIV
    toast.className = "show";

    // After 1.5 seconds, remove the show class from DIV
    setTimeout(function () { toast.className = toast.className.replace("show", ""); }, 1500);
}
